import request from "@/utils/request";
//历史-时间图接口
export function historyTimeImg(query) {
  return request({
    url: "/lj/ljYdpz/ljqx_sj",
    method: "get",
    params: query,
  });
}
// 实时图接口
export function realTimeImg(query) {
  return request({
    url: "/lj/ljYdpz/ljqx_ss",
    method: "get",
    params: query,
  });
}
//最新的一条数据
export function newData(query) {
  return request({
    url: "/lj/ljYdpz/ljqx_max",
    method: "get",
    params: query,
  });
}
//泳道配置查询-实时
export function getLaneInfo(query) {
  return request({
    url: "/lj/ljYdpz/list",
    method: "get",
    params: query,
  });
}

//泳道配置修改
export function updateLaneInfo(data) {
  return request({
    url: "/lj/ljYdpz/",
    method: "put",
    data: data,
  });
}

//钻机状态自动识别
//钻机状态图
export function getZjzt(query) {
  return request({
    url: "/lj/ljYdpz/zjzt_mt",
    method: "get",
    params: query,
  });
}
//-------9.20新加//
//泳道配置查询
export function getYdpz(query) {
  return request({
    url: "/lj/ljYdpzZm/list",
    method: "get",
    params: query,
  });
}
//泳道配置修改
export function updateYdpz(data) {
  return request({
    url: "/lj/ljYdpzZm/",
    method: "put",
    data: data,
  });
}
//整米接口
export function getListzmcx(query) {
  return request({
    url: "/lj/ljYdpzZm/ljqx_zm",
    method: "get",
    params: query,
  });
}
